Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mdm.index.ops
Class SBROverWriteDB

    java.lang.Object
      com.sun.mdm.index.ops.ObjectPersistenceService
          com.sun.mdm.index.ops.SBROverWriteDB

All Implemented Interfaces:
  java.io.Serializable

public final class SBROverWriteDB
extends ObjectPersistenceService

See Also:
  Serialized Form

Field Summary

Fields inherited from class com.sun.mdm.index.ops.ObjectPersistenceService
`DATEFORMAT, DBDATEFORMAT`

Constructor Summary
`SBROverWriteDB()` default constructor

Method Summary
`void` | `create(java.sql.Connection conn, java.util.HashMap opsmap, java.lang.String euid, SBROverWrite ow)` Persists a new SystemSBR record and its children into database.
`java.util.ArrayList` | `get(java.sql.Connection conn, java.util.HashMap opsmap, java.lang.String euid)` Retrieves SystemSBR and its children records from database by EUID.
`void` | `remove(java.sql.Connection conn, java.util.HashMap opsmap, java.lang.String euid, SBROverWrite ow)` Removes an existing SystemSBR and its children records from database.
`void` | `update(java.sql.Connection conn, java.util.HashMap opsmap, java.lang.String euid, SBROverWrite ow)` Updates an existing SystemSBR and its children records in the database.

Methods inherited from class com.sun.mdm.index.ops.ObjectPersistenceService
`addobject, addobject, addobject, addobject, addobject, addobject, finalize, getStatement, getValue, init, log, setParam, setParamBlob, setParamBlob, sql2str, strfmt`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SBROverWriteDB

    public SBROverWriteDB()
                   throws OPSException

  default constructor

  Throws:
    `OPSException` - if an error occurs.

Method Detail

### create

    public void create(java.sql.Connection conn,
                       java.util.HashMap opsmap,
                       java.lang.String euid,
                       SBROverWrite ow)
                throws OPSException

  Persists a new SystemSBR record and its children into database.

  Parameters:
    `conn` - JDBC connection.
    `opsmap` - OPS hashmap.
    `euid` - EUID.
    `ow` - SBR overwrite object.
  Throws:
    `OPSException` - if an error occurs.

### get

    public java.util.ArrayList get(java.sql.Connection conn,
                                   java.util.HashMap opsmap,
                                   java.lang.String euid)
                            throws OPSException

  Retrieves SystemSBR and its children records from database by EUID.

  Parameters:
    `conn` - JDBC connection.
    `opsmap` - OPS hashmap.
    `euid` - EUID.
  Returns:
    SBR record
  Throws:
    `OPSException` - if an error occurs.

### remove

    public void remove(java.sql.Connection conn,
                       java.util.HashMap opsmap,
                       java.lang.String euid,
                       SBROverWrite ow)
                throws OPSException

  Removes an existing SystemSBR and its children records from database.

  Parameters:
    `conn` - JDBC connection.
    `opsmap` - OPS hashmap.
    `euid` - EUID.
    `ow` - SBR overwrite object
  Throws:
    `OPSException` - if an error occurs.

### update

    public void update(java.sql.Connection conn,
                       java.util.HashMap opsmap,
                       java.lang.String euid,
                       SBROverWrite ow)
                throws OPSException

  Updates an existing SystemSBR and its children records in the database.

  Parameters:
    `conn` - JDBC connection.
    `opsmap` - OPS hashmap.
    `euid` - EUID.
    `ow` - SBR overwrite object
  Throws:
    `OPSException` - if an error occurs.

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Sun Microsystems, Inc.